Bug 608763 (CVE-2010-1206) - CVE-2010-1206 Firefox: Spoofing attacks via vectors involving 'No Content' status code or via a windows.stop call
Summary: CVE-2010-1206 Firefox: Spoofing attacks via vectors involving 'No Content' st...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2010-1206
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20100402,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 16:03 UTC by Jan Lieskovsky
Modified: 2018-08-15 21:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 15:22:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-21 01:09:15 UTC

Description Jan Lieskovsky 2010-06-28 16:03:02 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1206 to
the following vulnerability:

The startDocumentLoad function in browser/base/content/browser.js in
Mozilla Firefox before 3.6.6 does not properly implement the Same
Origin Policy in certain circumstances related to the about:blank
document and a document that is currently loading, which allows (1)
remote web servers to conduct spoofing attacks via vectors involving a
204 (aka No Content) status code, and allows (2) remote attackers to
conduct spoofing attacks via vectors involving a window.stop call.

References:
  [1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1206
  [2] http://lcamtuf.blogspot.com/2010/06/yeah-about-that-address-bar-thing.html
  [3] http://hg.mozilla.org/mozilla-central/rev/cadddabb1178
  [4] https://bugzilla.mozilla.org/show_bug.cgi?id=556957
  [5] http://secunia.com/advisories/40283

Comment 1 Jan Lieskovsky 2010-06-28 16:05:29 UTC
As stated in [4], the fix for this issue is scheduled to be included
in Firefox v3.6.7.

Comment 3 Vincent Danen 2010-06-28 16:52:13 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low
security impact, a future update may address this flaw.

Comment 4 errata-xmlrpc 2010-07-21 01:09:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html

Comment 5 Fedora Update System 2010-07-23 02:31:03 UTC
seamonkey-2.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-07-23 02:36:39 UTC
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-23 02:42:43 UTC
seamonkey-2.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-07-23 02:46:28 UTC
xulrunner-1.9.1.11-1.fc12, firefox-3.5.11-1.fc12, gnome-web-photo-0.9-8.fc12, mozvoikko-1.0-11.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.14, gnome-python2-extras-2.25.3-19.fc12, galeon-2.0.7-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.